package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.CityFocusVO;
import com.ruoyi.system.service_yada.ICityExpandService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.xml.crypto.Data;
import java.util.List;

/**
 * 城市扩张
 * @Author: JinSheng Song
 * @Date: 2022/7/1 10:09
 */

@RestController
@RequestMapping(value = "/CityExpand",produces = "application/json;charset=UTF-8")
public class CityExpandControllerr
{
    @Resource
    private ICityExpandService service;

    @RequestMapping(value = "/selectCityExpand",method = {RequestMethod.GET})
    public AjaxResult selectCityExpand(@Param("city") String city,@Param("cityCh") String cityCh,
                                       @Param("year") String year)
    {
        List<CityFocusVO> value=service.selectExpand(city,cityCh,year);
        return  AjaxResult.success(value);
    }
}
